Get LLM Provider's ApiKey by id

Get LLM Provider's ApiKey by id

Path parameters

idstringRequiredformat: "uuid"

Response

LLMProviderApiKey resource
providerenum
idstring or nullRead-onlyformat: "uuid"
api_keystring or null
namestring or null0-150 characters
provider_namestring or null0-150 characters

Provider name - required for custom LLM and Bedrock providers to uniquely identify them (e.g., ‘ollama’, ‘vllm’, ‘Bedrock us-east-1’). Must not be blank for custom and Bedrock providers. Should not be set for standard providers (OpenAI, Anthropic, etc.). This requirement is conditional and validation is enforced programmatically.

headersmap from strings to strings or null
configurationmap from strings to strings or null
base_urlstring or nullformat: "(?s)^\s*(\S.*\S|\S)\s*$"
created_atstring or nullRead-onlyformat: "date-time"
created_bystring or nullRead-only
last_updated_atstring or nullRead-onlyformat: "date-time"
last_updated_bystring or nullRead-only
read_onlyboolean or nullRead-only

If true, this provider is system-managed and cannot be edited or deleted

Errors